Loading...
Searching...
No Matches
Catch::Clara::Detail Namespace Reference

## Classes

class | BasicResult
struct | BoundFlagLambda
struct | BoundFlagRef
struct | BoundFlagRefBase
struct | BoundLambda
struct | BoundManyLambda
struct | BoundRef
struct | BoundValueRef
struct | BoundValueRef< std::vector< T > >
struct | BoundValueRefBase
class | ComposableParserImpl
struct | fake_arg
struct | HelpColumns
struct | is_unary_function
struct | is_unary_function< F, Catch::Detail::void_t< decltype(std::declval< F >()(fake_arg())) > >
struct | LambdaInvoker
struct | LambdaInvoker< void >
class | ParserBase
class | ParserRefImpl
class | ParseState
class | ResultBase
class | ResultValueBase
class | ResultValueBase< void >
struct | Token
class | TokenStream
struct | UnaryLambdaTraits
struct | UnaryLambdaTraits< ReturnT(ClassT::*)(Args...) const >
struct | UnaryLambdaTraits< ReturnT(ClassT::*)(ArgT) const >

## Typedefs

using | Result = BasicResult<void>
using | ParserResult = BasicResult<ParseResultType>
using | InternalParseResult = BasicResult<ParseState>

## Enumerations

enum class | TokenType { Option , Argument }
enum class | ResultType { Ok , LogicError , RuntimeError }
| Denotes type of a parsing result. More...
enum class | Optionality { Optional , Required }

## Functions

ParserResult | convertInto (std::string const &source, std::string &target)
ParserResult | convertInto (std::string const &source, bool &target)
template<typename T>
ParserResult | convertInto (std::string const &source, T &target)
template<typename ArgType, typename L>
auto | invokeLambda (L const &lambda, std::string const &arg) -> ParserResult

## Typedef Documentation

## InternalParseResult

using Catch::Clara::Detail::InternalParseResult = BasicResult<ParseState>

## ParserResult

using Catch::Clara::Detail::ParserResult = BasicResult<ParseResultType>

## Result

using Catch::Clara::Detail::Result = BasicResult<void>

## Enumeration Type Documentation

## Optionality

enum class Catch::Clara::Detail::Optionality

strong

Enumerator
Optional |
Required |

## ResultType

enum class Catch::Clara::Detail::ResultType

strong

Denotes type of a parsing result.

Enumerator
Ok | No errors.
LogicError | Error in user-specified arguments for construction.
RuntimeError | Error in parsing inputs.

## TokenType

enum class Catch::Clara::Detail::TokenType

strong

Enumerator
Option |
Argument |

## Function Documentation

## convertInto() [1/3]

ParserResult Catch::Clara::Detail::convertInto | ( | std::string const & | source,
|  | bool & | target )

Here is the call graph for this function:

## convertInto() [2/3]

ParserResult Catch::Clara::Detail::convertInto | ( | std::string const & | source,
|  | std::string & | target )

Here is the call graph for this function:
Here is the caller graph for this function:

## convertInto() [3/3]

template<typename T>

ParserResult Catch::Clara::Detail::convertInto | ( | std::string const & | source,
|  | T & | target )

Here is the call graph for this function:

## invokeLambda()

template<typename ArgType, typename L>

auto Catch::Clara::Detail::invokeLambda | ( | L const & | lambda,
|  | std::string const & | arg ) -> ParserResult

Here is the call graph for this function:
Here is the caller graph for this function: